Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Interface MethodInfo

All Superinterfaces:
  MemberInfo, ReflectionInfo

All Known Implementing Classes:
  AsmMethodInfo, JavaMethodInfo

    public interface MethodInfo

extends MemberInfo

Interface for the method info implementations.

Author:
  Jonas Bonr

Method Summary
`ClassInfo[]` | `getExceptionTypes()` Returns the exception types.
`String[]` | `getParameterNames()` Returns the parameter names as they appear in the source code.
`ClassInfo[]` | `getParameterTypes()` Returns the parameter types.
`ClassInfo` | `getReturnType()` Returns the return type.

Methods inherited from interface org.codehaus.aspectwerkz.reflect.MemberInfo
`getDeclaringType`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.ReflectionInfo
`getAnnotations, getModifiers, getName, getSignature`

Method Detail

### getReturnType

    ClassInfo getReturnType()

  Returns the return type.

  Returns:
    the return type

### getParameterTypes

    ClassInfo[] getParameterTypes()

  Returns the parameter types.

  Returns:
    the parameter types

### getParameterNames

    String[] getParameterNames()

  Returns the parameter names as they appear in the source code. This information is available only when class are compiled with javac -g (debug info), but is required for Aspect that are using args() and target()/this() bindings.

  It returns null if not available.

  Returns:

### getExceptionTypes

    ClassInfo[] getExceptionTypes()

  Returns the exception types.

  Returns:
    the exception types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.